Introduction With the IBM Cloud® Platform Notifications API, you can view notifications, manage last viewed notifications and manage notification distribution lists and preferences for your IBM Cloud accounts. Use the RESTful API to interact with destination entries, notification, and communication preferences. Configured destinations receive platform notifications about incidents, maintenance updates, and other important account-level communications. The Distribution list API currently supports adding only IBM Cloud Event Notifications destinations. For more information on using Event Notifications with platform notifications, see Enabling Event Notifications for the notification distribution listhttps://cloud.ibm.com/docs/support?topic=support-add-users-distribution-listevent-notifications-distribution-list and Getting started with Event Notificationshttps://cloud.ibm.com/docs/event-notifications?topic=event-notifications-getting-started. SDKs for Java, Node, Python, and Go are available to make it easier to programmatically access the API from your code. The client libraries that are provided by the SDKs implement best practices for using the API and reduce the amount of code that you need to write. The tab for each language includes code examples that demonstrate how to use the client libraries. For more information about using the SDKs, see the IBM Cloud SDK Common project on GitHubhttps://github.com/IBM/ibm-cloud-sdk-common. Installing the Java SDK Maven xml Method Path Summary GET /v1/notifications Get user notifications GET /v1/notifications/acknowledgement Get acknowledgement PUT /v1/notifications/acknowledgement Update acknowledgement GET /v1/distribution_lists/{account_id}/destinations Get all destination entries POST /v1/distribution_lists/{account_id}/destinations Add a destination entry GET /v1/distribution_lists/{account_id}/destinations/{destination_id} Get a destination entry DELETE /v1/distribution_lists/{account_id}/destinations/{destination_id} Delete a destination entry POST /v1/distribution_lists/{account_id}/destinations/{destination_id}/test Test a destination entry GET /v1/notifications/{iam_id}/preferences Get all communication preferences POST /v1/notifications/{iam_id}/preferences Create communication preferences PUT /v1/notifications/{iam_id}/preferences Replace communication preferences DELETE /v1/notifications/{iam_id}/preferences Reset all preferences to their default values